# OZCpoint1 http://www.est.hi-ho.ne.jp/atamadekkati/ 
# 指定した絶対座標に構造点（ガイドポイント、補助点）を作る。
# 2009/09/25 ver1.00 作成
# 2009/09/26 ver1.10 連続して描画できるように変更
#
# 使用者の自己責任でご使用下さい。

require 'sketchup.rb'

class OZCPoint1

#============= 初期値 =============
def initialize
  @prompts=["Ｘ座標", "Ｙ座標","Ｚ座標"]  #プロンプトに表示する名称
end

#============= 初回呼び出し =============
def activate
  @values=[0.mm, 0.mm, 0.mm]              #プロンプトに表示する初期値
  self.reset
end

#============= 毎回呼び出し =============
def reset
  self.cpoint1
end

#============= メインプログラム =============
def cpoint1
  model = Sketchup.active_model
  entities = model.entities

# プロンプト
  results=inputbox @prompts, @values, "指定絶対座標にガイドを作ります。"
  return if not results
  xzahyo=results[0]
  yzahyo=results[1]
  zzahyo=results[2]
  @values=results

# 作図
  constpoint = entities.add_cpoint [xzahyo, yzahyo, zzahyo ]
  self.reset
end

end # class

#==================================================================
def oz_cpoint_1
  Sketchup.active_model.select_tool OZCPoint1.new
end

# Add a menu 
if( not file_loaded?("OZCPoint1.rb") )
  add_separator_to_menu("Tools")
  UI.menu("Tools").add_item("絶対座標ガイド") { oz_cpoint_1 }
end

#-----------------------------------------------------------------------------
file_loaded("OZCPoint1.rb")
